package com.raycos.raycoscommon.Internal.datacenterapi.vo.order.amazon;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 亚马逊订单返回对象
 */
@Data
public class Order implements Serializable {

    @JSONField(name = "AmazonOrderId")
    private String amazonOrderId; // 亚马逊订单ID

    @JSONField(name = "PurchaseDate")
    private String purchaseDate; // 购买日期

    @JSONField(name = "MarketplaceId")
    private String marketplaceId; // 市场ID

    @JSONField(name = "OrderType")
    private String orderType; // 订单类型

    @JSONField(name = "OrderStatus")
    private String orderStatus; // 订单状态

    @JSONField(name = "SalesChannel")
    private String salesChannel; // 销售渠道

    @JSONField(name = "PaymentMethod")
    private String paymentMethod; // 支付方式

    @JSONField(name = "IsPrime")
    private boolean isPrime; // 是否为Prime订单

    @JSONField(name = "EarliestShipDate")
    private String earliestShipDate; // 最早发货日期

    @JSONField(name = "LatestShipDate")
    private String latestShipDate; // 最晚发货日期

    @JSONField(name = "ShipmentServiceLevelCategory")
    private String shipmentServiceLevelCategory; // 配送服务级别类别

    @JSONField(name = "IsReplacementOrder")
    private boolean isReplacementOrder; // 是否为替换订单

    @JSONField(name = "EasyShipShipmentStatus")
    private String easyShipShipmentStatus; // 简易配送状态

    @JSONField(name = "NumberOfItemsShipped")
    private int numberOfItemsShipped; // 已发货商品数量

    @JSONField(name = "Lastupdatedate")
    private String lastUpdateDate; // 最后更新日期

    @JSONField(name = "FulfillmentChannel")
    private String fulfillmentChannel; // 履行渠道

    @JSONField(name = "EarliestDeliveryDate")
    private String earliestDeliveryDate; // 最早交付日期

    @JSONField(name = "NumberOfItemsUnshipped")
    private int numberOfItemsUnshipped; // 未发货商品数量

    @JSONField(name = "LatestDeliveryDate")
    private String latestDeliveryDate; // 最晚交付日期

    @JSONField(name = "PaymentMethodDetails")
    private List<String> paymentMethodDetails; // 支付方式详情

    @JSONField(name = "IsGlobalExpressEnabled")
    private boolean isGlobalExpressEnabled; // 是否启用全球快递

    @JSONField(name = "ElectronicInvoiceStatus")
    private String electronicInvoiceStatus; // 电子发票状态

    @JSONField(name = "ShipServiceLevel")
    private String shipServiceLevel; // 配送服务级别

    @JSONField(name = "IsAccessPointOrder")
    private boolean isAccessPointOrder; // 是否为自提点订单

    @JSONField(name = "IsPremiumOrder")
    private boolean isPremiumOrder; // 是否为高级订单

    @JSONField(name = "IsBusinessOrder")
    private boolean isBusinessOrder; // 是否为企业订单

    @JSONField(name = "AutomatedShippingSettings")
    private AutomatedShippingSettings automatedShippingSettings; // 自动配送设置

    @JSONField(name = "FulfillmentInstruction")
    private FulfillmentInstruction fulfillmentInstruction; // 履行指示

    @JSONField(name = "IsISPU")
    private boolean isISPU; // 是否为店内自提

    @JSONField(name = "IsSoldByAB")
    private boolean isSoldByAB; // 是否由亚马逊企业销售

    @JSONField(name = "IsIBA")
    private boolean isIBA; // 是否为IBA订单

    @JSONField(name = "OrderTotal")
    private OrderTotal orderTotal; // 订单总额

    @JSONField(name = "DefaultShipFromLocationAddress")
    private Address defaultShipFromLocationAddress; // 默认发货地址
}
