package com.raycos.raycosdatacenterapi.amzorder;


import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import com.raycos.raycoscommon.Internal.datacenterapi.vo.order.Orders0VOReq;
import com.raycos.raycoscommon.Internal.datacenterapi.vo.order.Orders0VOResp;
import com.raycos.raycosdatacenterapi.config.attach.SendAmzPullOrderMsg;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * 亚马逊拉单
 */
@RestController
@Slf4j
@RequestMapping("/erp/amzorder")
public class AmzPullOrderController {


    @Autowired
    private AmzPullOrderService amzPullOrderService;


    @Autowired
    private SendAmzPullOrderMsg sendAmzPullOrderMsg;


    /**
     * 亚马逊拉单接口
     * @param orders0VO
     * @return
     */
    @PostMapping("/getOrderRealTime")
    public @ResponseBody Orders0VOResp getOrderRealTime(@RequestBody Orders0VOReq orders0VO){
        try {
           return amzPullOrderService.getOrderRealTime(orders0VO);
        }catch (Exception e){
            log.info("=====getOrderRealTime=====系统异常");
        }
        return null;
    }


//    @GetMapping("/getOrder")
//    public Result<String> getOrder(Map map) {
//        Result<String> rt = new Result<>();
//        try {
//            log.info(" 来了老铁   ");
//            TbAmzPullOrderTask task = new TbAmzPullOrderTask();
//            task.setCompanyId(100001);
//            sendAmzPullOrderMsg.sendMessage(task);
//            rt.success();
//        } catch (Exception e) {
//            rt.fail();
//            log.error("   异常 ", e);
//        }
//        return rt;
//    }




}
