package com.raycos.raycosdatacenterapi.authorize.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.raycos.raycoscommon.Internal.datacenterapi.TbStoreInfo;
import com.raycos.raycosdatacenterapi.authorize.StoreInfoService;
import com.raycos.raycosdatacenterapi.mapper.TbStoreInfoMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

@Service
@Slf4j
public class StoreInfoServiceImpl implements StoreInfoService {

    @Autowired
    private TbStoreInfoMapper tbStoreInfoMapper;

    @Override
    public TbStoreInfo addStoreInfo(TbStoreInfo tbStoreInfo) throws Exception {
        tbStoreInfoMapper.insert( tbStoreInfo);
        return tbStoreInfo;
    }

    @Override
    public void delStoreInfo(TbStoreInfo tbStoreInfo) throws Exception {

    }

    @Override
    public void editStoreInfo(TbStoreInfo tbStoreInfo) throws Exception {

    }

    /**
     * 获取订单信息
     * @param tbStoreInfo
     * @return
     * @throws Exception
     */
    @Override
    public List<TbStoreInfo> selStoreInfo(TbStoreInfo tbStoreInfo) throws Exception {
        QueryWrapper<TbStoreInfo> queryWrapper = new QueryWrapper<>();
        if(StringUtils.hasLength(tbStoreInfo.getUuid())){
            queryWrapper.eq("uuid", tbStoreInfo.getUuid());
        }
        if(StringUtils.hasLength(tbStoreInfo.getCompanyId())){
            queryWrapper.eq("company_id",tbStoreInfo.getCompanyId());
        }
        if(StringUtils.hasLength(tbStoreInfo.getExternalSystemId())){
            queryWrapper.eq("external_system_id",tbStoreInfo.getExternalSystemId());
        }
        return tbStoreInfoMapper.selectList(queryWrapper);
    }
}
